Bug 379451 - Cifs unmount on shutdown takes more than a minute
Cifs unmount on shutdown takes more than a minute
Status: CLOSED DUPLICATE of bug 191112
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Layton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-13 02:02 EST by Patrick Steiner
Modified: 2014-06-18 03:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-28 09:02:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick Steiner 2007-11-13 02:02:32 EST
Description of problem:

If i shutdown my pc the cifs unmount takes very long. and if i take a look at
the dmesg log file i get the following error:

eth0: no IPv6 routers present
 CIFS VFS: RFC1001 size 35 bigger than SMB for Mid=10124
Bad SMB: : dump of 48 bytes of data at 0xe7998a00
 00000023 424d53ff 00000074 00018800 # . . . � S M B t . . . . . . .
 00000000 00000000 00000000 69230000 . . . . . . . . . . . . . . # i
 278c0000 0000ff00 12a50640 b400020a . . . ' . � . . @ . � . . . . �
Comment 1 Simo Sorce 2007-11-23 15:51:14 EST
This seem to be a cifs.ko issue, re-assigning to Jeff.
Comment 2 Jeff Layton 2007-11-28 08:25:36 EST
What sort of server is this?
Comment 3 Patrick Steiner 2007-11-28 08:42:21 EST
the clients are:

redhat es 3 incl. latest updates
redhat es 4 incl. latest updates
fedora 8 incl. latest updates

the server is a netapp fas2050

here is the mount entry from fstab:
//foo/INSTALL     /mnt/net/foo/install      cifs  
auto,credentials=/root/.smbcredentials,uid=500,gid=500                    1       1

mount outputs:

//foo/INSTALL on /mnt/net/foo/install type cifs (rw,mand)
Comment 4 Jeff Layton 2007-11-28 09:02:39 EST
I suspect that this is a duplicate of:

https://bugzilla.redhat.com/show_bug.cgi?id=191112

...you might want to try looking at captures with wireshark and see if the
server is sending a bogus BCC value in the LogoffANDX response. I'm going to
close this as a duplicate of that bug and suggest opening a case with netapp.
They may already have a filer patch that fixes this (I'm not sure).

Note that a patch recently went upstream to fix a potential buffer overflow in
CIFS. That patch has the side effect of making the client not expect a response
from the server for Logoff requests. That may also work around this problem, but
it's not in Fedora yet.


*** This bug has been marked as a duplicate of 191112 ***

Note You need to log in before you can comment on or make changes to this bug.